package org.ces.mapper;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.json.JSONObject;
import org.ces.entity.User;

public interface UserMapper {
	
	@Select("SELECT * FROM USER WHERE id = #{id}")
	User selectUser(long id);
	
	@Insert("INSERT INTO USER VALUES(#{id}, #{json})")
	int insertUser(@Param("id")long id, @Param("json")JSONObject json);
	
}
