package com.example.demo.phonerecords.service;


import com.example.demo.phonerecords.dao.interf.PhoneRecordMapper;
import com.example.demo.phonerecords.entity.PhoneRecord;
import com.example.demo.phonerecords.service.interf.PhoneRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

@Service
@Transactional
public class PhoneRecordServiceImpl implements PhoneRecordService {

    @Autowired
    private PhoneRecordMapper phoneRecordMapper;

    public int batchInsert(List<PhoneRecord> phoneRecords){
        int ret = 0;

        phoneRecordMapper.phoneRecordBatchInsert(phoneRecords);

        return ret;
    }

}
